package Events;

import commandSystem.Direction;

public class ReachedFloorEvent implements Event{
	
	private final int currentFloor;
	private final Direction currentDirection;

	public ReachedFloorEvent(int currentFloor, Direction currentDirection) {
		this.currentFloor = currentFloor;
		this.currentDirection = currentDirection;
	}

	@Override
	public Direction getRequestedDirection() {
		return Direction.NONE;
	}

	@Override
	public int getRequestedFloor() {
		return -1;
	}

	@Override
	public int getIncomingCallFloor() {
		return -1;
	}

	@Override
	public EventType getType() {
		return EventType.REACHEDFLOORSIGNAL;
	}

	@Override
	public int getCurrentFloor() {
		return currentFloor;
	}

	@Override
	public Direction getCurrentDirection() {
		return currentDirection;
	}
	
	
}
